Subject: Re: [PATCH v4 0/5] Fix dual rename into each other plus conflicting adds

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Jul 2022 09:52:45 -0700

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> This series adds some testcases based on the tensorflow repository issue
> reported by Glen Choo at [1], demonstrating bugs in both the ort and
> recursive strategies. It also provides a fix for the ort strategy.
>
> Changes since v3:
>
>  * Remove use of for-initializer

I missed them while queuing the previous round and updates look OK.

I however personally find the resulting code irritating to read.
The counter 'i', which never is used for two purposes at the same
time, has multiple "hiding" declarations in this function, in
addition to its top-level declaration.  It forces the readers to
think about which variable each reference of 'i' talks about, and
more importantly, if the value in outer 'i' of its last use, after
an inner 'i' is used, matters.

Will queue.

Thanks.